Create asset usage
Create a new asset usage entry.
post
https://{your-bynder-domain}/api/media/usage
Body
application/x-www-form-urlencoded
Body
application/x-www-form-urlencoded
additionalstring
Additional information.
asset_idstring
Asset id.
integration_idstring
Integration id.
timestampstring(date-time)
Datetime in ISO8601 format yyyy-mm-ddThh:mm:ssZ.
uristring
Location.
Response
application/json
Response
application/json
Successful response
additionalstring
asset_idstring
idstring
integrationobject
Show Child Parameters
timestampstring(date-time)
uristring
post/api/media/usage
Authentication
Body
{}
application/json
Asset Usage Sync
This alternative API call allows you to sync all your usage from a single integration.
- A usage will be created when there is no existing usage on the specified asset
- A usage will be updated when adding additional info
- A usage will be deleted when specifying a URI but not using that URI in a usage
Warning: Requires the STATISTICS security role.
Sync asset usage
Sync all usage from a single integration.
post
https://{your-bynder-domain}/api/media/usage/sync
Body
application/json
Body
application/json
integration_idstring
Integration id.
urisarray[string]
An array of URIs that are part of your integration.
usagesarray[object]
Show Child Parameters
Response
application/json
Response
application/json
Successful response
acceptedarray[object]
Show Child Parameters
newarray[object]
Show Child Parameters
rejectedarray[object]
Show Child Parameters
removedarray[object]
Show Child Parameters
post/api/media/usage/sync
Authentication
Body
{}
application/json